{
  "schema_version": "1.4.0",
  "id": "GHSA-r8vj-jm7q-q45c",
  "modified": "2025-04-11T03:59:46Z",
  "published": "2022-05-17T05:25:08Z",
  "aliases": [
    "CVE-2012-2674"
  ],
  "details": "Multiple integer overflows in the (1) chk_malloc, (2) leak_malloc, and (3) leak_memalign functions in libc/bionic/malloc_debug_leak.c in Bionic (libc) for Android, when libc.debug.malloc is set, make it easier for context-dependent attackers to perform memory-related attacks such as buffer overflows via a large size value, which causes less memory to be allocated than expected.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-2674"
    },
    {
      "type": "WEB",
      "url": "https://github.com/android/platform_bionic/commit/7f5aa4f35e23fd37425b3a5041737cdf58f87385"
    },
    {
      "type": "WEB",
      "url": "http://kqueue.org/blog/2012/03/05/memory-allocator-security-revisited"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/06/05/1"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/06/07/13"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-07-25T19:55:00Z"
  }
}